### Signal

# Gio DBusObjectManager::interface-removed

since: 2.30

#### Declaration

    void
    interface_removed (
      GDBusObjectManager* self,
      GDBusObject* object,
      GDBusInterface* interface,
      gpointer user_data
    )

#### Description

Emitted when `interface` has been removed from `object`.

This signal exists purely as a convenience to avoid having to connect signals to all objects managed by `manager`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.30

#### Parameters

`object`

  Type: `GDBusObject`

  The `GDBusObject` on which an interface was removed.

  The data is owned by the caller of the function.

`interface`

  Type: `GDBusInterface`

  The `GDBusInterface` that was removed.

  The data is owned by the caller of the function.